#!/usr/bin/env python3
#
# Copyright © 2012–2022 Michal Čihař <michal@cihar.com>
#
# This file is part of Weblate <https://weblate.org/>
#
# This program is free software: you can redistribute it and/or modify
# it under the terms of the GNU General Public License as published by
# the Free Software Foundation, either version 3 of the License, or
# (at your option) any later version.
#
# This program is distributed in the hope that it will be useful,
# but WITHOUT ANY WARRANTY; without even the implied warranty of
# MERCHANTABILITY or FITNESS FOR A PARTICULAR PURPOSE.  See the
# GNU General Public License for more details.
#
# You should have received a copy of the GNU General Public License
# along with this program.  If not, see <https://www.gnu.org/licenses/>.
#

import os
import sys

if __name__ == "__main__":
    default = "weblate.settings"
    if len(sys.argv) >= 2 and sys.argv[1] == "test":
        default = "weblate.settings_test"
    os.environ.setdefault("DJANGO_SETTINGS_MODULE", default)

    from weblate.runner import main

    main(developer_mode=True)
